class EnumsModel {
  int id;
  int enumTypeId;
  String enumValueStr;
  int enumValue;
  bool isActive;

  EnumsModel({
    required this.id,
    required this.enumTypeId,
    required this.enumValueStr,
    required this.enumValue,
    required this.isActive,
  });

  factory EnumsModel.fromJson(Map<String, dynamic> json) => EnumsModel(
        id: json["id"],
        enumTypeId: json["enumTypeID"],
        enumValueStr: json["enumValueStr"],
        enumValue: json["enumValue"],
        isActive: json["isActive"],
      );

  @override
  String toString() {
    return 'EnumsModel{id: $id, enumTypeId: $enumTypeId, enumValueStr: $enumValueStr, enumValue: $enumValue, isActive: $isActive}';
  }

  Map<String, dynamic> toJson() => {
        "id": id,
        "enumTypeID": enumTypeId,
        "enumValueStr": enumValueStr,
        "enumValue": enumValue,
        "isActive": isActive,
      };
}
